# GimpUi.PreviewArea

    from gi.repository import GimpUi

    preview_area = GimpUi.PreviewArea(check_custom_color1=value, check_custom_color2=value, check_size=value, check_type=value)

A general purpose preview widget which caches its pixel data.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.DrawingArea
        - GimpUi.PreviewArea

## Methods

- GimpUi.PreviewArea.blend
- GimpUi.PreviewArea.draw
- GimpUi.PreviewArea.fill
- GimpUi.PreviewArea.get_size
- GimpUi.PreviewArea.mask
- GimpUi.PreviewArea.menu_popup
- GimpUi.PreviewArea.reset
- GimpUi.PreviewArea.set_color_config
- GimpUi.PreviewArea.set_colormap
- GimpUi.PreviewArea.set_max_size
- GimpUi.PreviewArea.set_offsets

## Properties

- check-custom-color1
- check-custom-color2
- check-size
- check-type